FROM golang:1.14-buster AS build
RUN apt-get update
RUN apt-get upgrade -y
RUN apt-get install upx -y
WORKDIR /go/gitlab.com/mycf.sg/job-placeholder
COPY . /go/gitlab.com/mycf.sg/job-placeholder
RUN make build_production compress

FROM alpine:latest AS final
RUN apk update --no-cache \
  && apk upgrade --no-cache
COPY --from=build /go/gitlab.com/mycf.sg/job-placeholder/bin/* /
RUN ln -s /job-placeholder_linux_amd64 /bin/bash
RUN ln -s /job-placeholder_linux_amd64 /bin/curl
RUN ln -s /job-placeholder_linux_amd64 /bin/node
RUN ln -s /job-placeholder_linux_amd64 /bin/python
RUN ln -s /job-placeholder_linux_amd64 /bin/python2
RUN ln -s /job-placeholder_linux_amd64 /bin/python3
RUN ln -s /job-placeholder_linux_amd64 /bin/ts-node
RUN ln -s /job-placeholder_linux_amd64 /bin/go
RUN rm -rf /bin/sleep
RUN ln -s /job-placeholder_linux_amd64 /bin/sleep
RUN rm -rf /bin/wget
RUN ln -s /job-placeholder_linux_amd64 /bin/wget
RUN rm -rf /bin/time
RUN ln -s /job-placeholder_linux_amd64 /bin/time
RUN rm -rf /bin/login
RUN ln -s /job-placeholder_linux_amd64 /bin/login
RUN rm -rf /bin/netstat
RUN ln -s /job-placeholder_linux_amd64 /bin/netstat
RUN rm -rf /bin/su
RUN ln -s /job-placeholder_linux_amd64 /bin/su
RUN rm -rf /bin/watch
RUN ln -s /job-placeholder_linux_amd64 /bin/watch
ENTRYPOINT ["/job-placeholder_linux_amd64"]
